# Fast Approximate Network Simplex for Optimal Transport

This is an adaptation of the non sparse version of the code (https://github.com/nbonneel/network_simplex) which is a simplification and optimization of the Network Simplex implementation present in the [LEMON 1.3.1 library](http://lemon.cs.elte.hu/pub/doc/latest-svn/a00783.html). 

Compilation for MacOS: 

make -f Makefile.osx

Running

./transport

If you use this code for your publications, please acknowledge LEMON and cite the papers from which this code is based:

> @article{AWT19,
>    author = {Papadakis, Nicolas},  
>    title = {{Approximation of Wasserstein distance with Transshipment}},  
>    year = {2018},  
> }  

> @article{BPPH11,
>    author = {Bonneel, Nicolas and van de Panne, Michiel and Paris, Sylvain and Heidrich, Wolfgang},  
>    title = {{Displacement Interpolation Using Lagrangian Mass Transport}},  
>    journal = {ACM Transactions on Graphics (SIGGRAPH ASIA 2011)},  
>    volume = {30},  
>    number = {6},  
>    year = {2011},  
> }  

